Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Libmpeg3 supports advanced editing and manipulation of MPEG streams
Name:      	libmpeg3
Version:   	1.8
Release:   	1
Provides:  	%{name}
License:   	GNU/GPL
Url:	   	http://heroinewarrior.com/libmpeg3.php3
Group:     	Video
Source0:   	%{name}-%{version}-src.tar.bz2

Patch1: libmpeg3-1.8-cinelerra_autotools.patch
Patch2: libmpeg3-1.7-cinelerra_hacking.patch
Patch3: libmpeg3-1.7-fix_commented.patch
Patch4: libmpeg3-1.7-spec_in.patch
Patch5: libmpeg3-1.7-pkgconfig.in.patch
Patch6: libmpeg3-1.7-boostrap.patch
# Patches 7/8 from gentoo
#http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/libmpeg3/files/
Patch7: libmpeg3-1.5.2-gnustack.patch
Patch9: libmpeg3-1.7-mpeg2qt-args.patch
Patch10: libmpeg3-1.8-mmx.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: liba52-devel
BuildRequires: libquicktime-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Libmpeg3 supports advanced editing and manipulation of MPEG streams

%package 	devel
Summary: 	libmpeg3 development headers.
Group:     	Video
Requires: 	libmpeg3 = %{version}-%{release}

%description 	devel
Header and include files for developing applications with libmpeg3.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
# Removed unneeded files
rm -rf a52dec-* depend.a52

# Patch autotools
%patch1 -p1

# Thoses patches was taken from cinepaint cvs
# Which have special libmpeg3
%patch2 -p1 -b .cine_hack

# Fix comments
%patch3 -p1 -b .commented

# Add spec.in
%patch4 -p1

# Add pkgconfig.in
%patch5 -p1

# Add ./bootstrap
%patch6 -p1

# gentoo patches
%patch7 -p1 -b .gnustack

# Patch the number of arguments of mpeg2qt
%patch9 -p1 -b .args

# Patch to add mmx possibility via nasm/yasm
%patch10 -p1 -b .mmx

# Touch docs files:
touch INSTALL README NEWS AUTHORS ChangeLog

# Build autotools
chmod 755 bootstrap
./bootstrap

%build
# Enable USE_MMX for archs that support it, not by default on i386
%configure --enable-shared --disable-static \
%if 0
  --enable-mmx \
%endif

# This seems not to work with x86_64 on AMD64
# Error: suffix or operands invalid for `push'
#sed -i -e 's|$(CCASFLAGS)|#$(CCASFLAGS)|g' video/Makefile

#�| Hack to have mmx compiled on i686
%if 0
pushd video
mkdir -p .libs
nasm -f elf reconmmx.s -o .libs/reconmmx.o
popd
%endif

make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} install \
    LIBDIR=%{_libdir} \
    DESTDIR=%{buildroot} \
    INSTALL="install -c -p"

%{__rm} -rf %{buildroot}%{_libdir}/*.la

%files
%defattr(-,root,root)
%{_bindir}/mpeg2qt
%{_bindir}/mpeg3cat
%{_bindir}/mpeg3dump
%{_bindir}/mpeg3peek
%{_bindir}/mpeg3toc
%{_libdir}/libmpeg3.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mpeg3/libmpeg3.h
%{_includedir}/mpeg3/mpeg3private.h
%{_libdir}/libmpeg3.so
%{_pkgconfig}/libmpeg3.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8-1
- Version update
* Sun Jan 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6-1
- Version Update
* Sat Jan 15 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.4-1
- Initial Release
